Subject: Errata 5173 on RFC8200

From: Bob Hinden <[email-masked]>
Date: Tue, 30 Jul 2019 19:07:24 -0700

During the 6man session on Thursday at IETF 105 in Montreal, we discussed Errata 5173 that have been filed on the Fragment Header Section 4.5 in RFC8200.   The presentation is available at:

https://datatracker.ietf.org/meeting/105/materials/slides-105-6man-sessa-ipv6-rfc8200-fragmentation-errata-00

The errata can be found at:

https://www.rfc-editor.org/errata_search.php?rfc=8200

Errata 5173 proposes to change the reassembled original packet figure from:

   +--------------+------------------+---------+--------+-//--+--------+
   | Per-Fragment | Ext & Upper-Layer| first   | second |     | last   |
   | Headers      | Headers          |frag data|fragment|.....|fragment|
   +--------------+------------------+---------+--------+-//--+--------+

to:

   +--------------+------------------+---------+--------+-//--+--------+
   | Per-Fragment | Ext & Upper-Layer| first   | second |     | last   |
   | Headers      | Headers          |fragment |fragment|.....|fragment|
   +--------------+------------------+---------+--------+-//--+———----—+

This change is not correct, it is only the fragment data as shown in the figure, unlike the following fragments.  This Errata should be marked as rejected.

Note, that the proposed text in the email on Errata 5170, 5171, 5172, changes the figure to

 reassembled original packet:

   +------------------+----------------------//------------------------+
   |  Per-Fragment    |                 Fragmentable                   |
   |    Headers       |                     Part                       |
   +------------------+----------------------//————--------------------+

This makes this Errata no longer pertinent.

Thanks,
Bob & Ole